
QGIS Application - Bug report #15651

Processing  merge vector layers returns incomplete result

2016-10-02 07:34 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23574

Description

Merging the shapefiles in the attached zip file with the "merge vector layers" from Processing the output is incomplete.

The same operation done with the same tool from "ftools" (so until 2.14.* but no more available in 2.16.*) the result is correct.

History

#1 - 2017-02-28 12:24 AM - Giovanni Manghi

- Affected QGIS version changed from 2.16.3 to 2.18.4

#2 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#4 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-11 01:26 PM - Alexander Bruy

- Description updated

- Status changed from Open to Feedback

Seems works fine with latest 2.18. Can you retest?

#6 - 2017-05-11 08:07 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Alexander Bruy wrote:

Seems works fine with latest 2.18. Can you retest?

confirmed!

2025-04-27 1/2



Files

merge.zip 52 KB 2016-10-02 Giovanni Manghi

split.zip 229 KB 2016-10-02 Giovanni Manghi
